VERSION 5.00
Begin VB.Form frmMain 
   BackColor       =   &H80000005&
   Caption         =   "core.console"
   ClientHeight    =   3600
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6270
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   240
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   418
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtCommand 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   0
      TabIndex        =   1
      Top             =   3240
      Width           =   6255
   End
   Begin VB.ListBox lstConsole 
      Appearance      =   0  'Flat
      Height          =   3180
      IntegralHeight  =   0   'False
      ItemData        =   "frmMain.frx":1042
      Left            =   0
      List            =   "frmMain.frx":1044
      TabIndex        =   0
      Top             =   0
      Width           =   6255
   End
   Begin VB.Label lblBar 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      ForeColor       =   &H80000008&
      Height          =   135
      Left            =   480
      TabIndex        =   2
      Top             =   3120
      Width           =   1575
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim CurHistory As Long
Private Sub Form_GotFocus()

    txtCommand.SetFocus

End Sub
Private Sub Form_Resize()

    If Me.WindowState <> 1 Then
        lstConsole.Width = Me.ScaleWidth
        txtCommand.Width = Me.ScaleWidth
        lstConsole.Height = Me.ScaleHeight - 22
        txtCommand.top = Me.ScaleHeight - 19
    End If
    
    If oServer.evalBool(oServer.GetKey(Me.Tag, "saveposition")) Then
        oServer.SetKey Me.Tag, "x", Me.left / Screen.TwipsPerPixelX
        oServer.SetKey Me.Tag, "y", Me.top / Screen.TwipsPerPixelY
        oServer.SetKey Me.Tag, "width", Me.Width / Screen.TwipsPerPixelX
        oServer.SetKey Me.Tag, "height", Me.Height / Screen.TwipsPerPixelY
    End If

End Sub
Private Sub lstConsole_GotFocus()

    txtCommand.SetFocus

End Sub
Private Sub txtCommand_KeyDown(KeyCode As Integer, Shift As Integer)

    Dim maxHist As Long
    Dim cntHist As String
    
    If KeyCode = vbKeyDown Then
        
        maxHist = 10
        cntHist = LCase(oServer.GetKey(Me.Tag, "historycount"))
        If cntHist <> "" Then
            maxHist = CLng(cntHist)
        End If
        CurHistory = CurHistory + 1
        If CurHistory > maxHist Then
            CurHistory = maxHist
        End If
        txtCommand.Text = oServer.GetKey(Me.Tag, "history" & CurHistory)
        
    End If

    If KeyCode = vbKeyUp Then
    
        CurHistory = CurHistory - 1
        If CurHistory < 0 Then CurHistory = 0
        txtCommand.Text = oServer.GetKey(Me.Tag, "history" & CurHistory)
    
    End If

End Sub
Private Sub txtCommand_KeyPress(KeyAscii As Integer)

    Dim maxHist As Long
    Dim cntHist As String
    Dim hist() As String
    Dim I As Long
    
    CurHistory = 0
        
    If KeyAscii = 13 Then
    
        maxHist = 10
        cntHist = LCase(oServer.GetKey(Me.Tag, "historycount"))
        If cntHist <> "" Then
            maxHist = CLng(cntHist)
        End If
        
        ReDim hist(maxHist)
        I = 1
        While I <= maxHist
            hist(I) = oServer.GetKey(Me.Tag, "history" & I)
            I = I + 1
        Wend
        For I = maxHist - 1 To 1 Step -1
            hist(I + 1) = hist(I)
        Next I
        hist(1) = txtCommand.Text
        For I = 1 To maxHist
            oServer.SetKey Me.Tag, "history" & I, hist(I)
        Next I
        
        oServer.Execute txtCommand.Text
        txtCommand.Text = ""
        
    End If

End Sub
